package soln;

import java.util.Scanner;

import helper.VendingMachine;

/**
 * Name: Last Name, First Name
 * 
 * Student Number: xxxxxxxxx
 * 
 * Declaration: I hereby assert that this application was written by me. I
 * understand that it is a violation of the Senate Policy on Academic Honesty
 * for me to submit someone else's work without identifying it as such and that
 * this is a form of cheating. I also understand that if it is discovered that I
 * have committed a breach of Academic Honesty for cheating or any other charge,
 * then the full extent of available penalties may be brought against me.
 * 
 */
public class Check10P {

	public static void main(String[] args) {

		// Step 1a. Create a VendingMachine object called
		// vendingMachine1.
		// public VendingMachine()
		// Use the default constructor in the VendingMachine API.
		// To find the VendingMachine API, open the index.html file that is
		// found in
		// this project under the package called doc. Please note the
		// VendingMachine
		// API has changed since previous use.
		VendingMachine vendingMachine1 = new VendingMachine();

		// Step 1b. Create two variables called cansOfPop and bagsOfChips as
		// type
		// integer
		int cansOfPop;
		int bagsOfChips;

		// Step 1c. Prompt the user with the message
		// "Input the number of bags of chips:"
		// Use the Scanner to get the quantity of
		// bags of chips refer to section 2.2.5 (Page 68 2ed and Page 68 3ed)
		// Implement this step so that if the user enters a quantity that is
		// negative (i.e., not zero or higher), your program will re-prompt
		// repeatedly until the user does enter a non-negative quantity.
		// For reference look at page
		// section 5.2.2 (Page 189 2ed and Page 188
		// 3ed)
		Scanner input = new Scanner(System.in);
		System.out.println("Input the number of bags of chips:");
		for (bagsOfChips = input.nextInt(); bagsOfChips < 0; bagsOfChips = input
				.nextInt()) {
			System.out.println("Input the number of bags of chips:");
		}

		// Step 1d. Look at the VendingMachine API for the new method
		// called addABagOfChips().
		// Create a for loop that will add the bags of chips one at a time until
		// all
		// of the specified numbers of bags of chips have been added to the
		// vendingMachine.
		// For reference look at page
		// section 5.2.2 (Page 189 2ed and Page 188
		// 3ed)
		// When the for loop finishes print out the string
		// "The value of the vendingMachine1 is " followed by the total value
		// of vendingMachine1 and the string " dollar(s)"
		// (Hint: getTotalValueOFVendingMachine()).
		for (int i = 0; i < bagsOfChips; i++) {
			vendingMachine1.addABagOfChips();
		}
		System.out.println("The value of the vendingMachine1 is "
				+ vendingMachine1.getTotalValueOfVendingMachine()
				+ " dollar(s)");

		// Step 1e. Prompt the user with the message
		// "Input the number of cans of Pop:" Then get the quantity input from
		// the
		// user and store it in cansOfPop.
		// Implement this step so that if the user enters a quantity that is
		// negative (i.e., not zero or higher), your program will re-prompt
		// repeatedly until the user does enter a non-negative quantity.

		System.out.println("Input the number of cans of pop:");
		for (cansOfPop = input.nextInt(); cansOfPop < 0; cansOfPop = input
				.nextInt()) {
			System.out.println("Input the number of cans of pop:");
		}

		// Step 1f. Look at the VendingMachine API for the new method
		// called addACanOfPop()
		// Create a for loop that will add the cansOfPop one at a time until all
		// of the specified numbers of bagsOfChips have been added to the
		// vendingMachine.
		// When the for loop finishes print out the string
		// "The value of vendingMachine1 is " followed by the total value
		// of vendingMachine1 and the string " dollar(s)"
		// (Hint: getTotalValueOfVendingMachine()).
		for (int i = 0; i < cansOfPop; i++) {
			vendingMachine1.addACanOfPop();
		}
		System.out.println("The value of the vendingmachine1 is "
				+ vendingMachine1.getTotalValueOfVendingMachine()
				+ " dollar(s)");

		// Step 1g. Answer the written comprehension question that is found in
		// the file Check10K.txt. It is listed in this project as the last
		// entry as "Check10K".

		// Step 1h
		// Print out the total value of the vendingMachine. If the value is less
		// than 100 dollars, then use the following:
		// "The value of the vendingMachine is ", followed by the total value
		// of vendingMachine1, followed by " dollars"
		// If the value of the vendingMachine is more than a 100 dollars, then
		// derive the
		// number of hundreds in the vendingMachine (an integer number) and the
		// number
		// remaining dollars.
		// Use the following:
		// "The value of the vendingMachine is ", followed by the number of
		// hundreds,
		// followed by " hundred and ", followed by the number of dollars,
		// followed by " dollar(s)"
		// E.g. If the total value of the vendingMachine is 146 dollars (eg., 50
		// cans of pop and 23 bags of chips), then the output would be
		// "The value of the vendingMachine is 1 hundred and 46 dollars"
		// Recall the "quotient" operator (also known as integer division, see
		// the "division" bullet point under section 1.3.1
		// "The int Arithmetic Operators"). Also recall the remainder operator
		// (%), which is the next bullet point.
		int totalValue = vendingMachine1.getTotalValueOfVendingMachine();
		final int HUNDRED = 100;

		int numHundreds = totalValue / HUNDRED;
		if (numHundreds >= 1) {
			int numDollars = totalValue % (numHundreds * HUNDRED);
			System.out.println("The value of the vendingMachine1 is "
					+ numHundreds + " hundred and " + numDollars + " dollars");
		} else {
			System.out.println("The value of the vendingMachine1 is "
					+ vendingMachine1.getTotalValueOfVendingMachine()
					+ " dollars");
		}

	}
}
